Skip to content

List user's plots

Request

Returns the authenticated user's plots with keyset pagination (newest first).

Security
BearerAuth
Query
limitinteger, (int32)

Maximum number of items to return (default 100, max 1000)

Default:100
cursorstring

Opaque cursor for the next page

created_at_fromstring

Filter: inclusive lower bound for created_at (ISO-8601)

created_at_untilstring

Filter: inclusive upper bound for created_at (ISO-8601)

liteboolean

When true, returns lightweight summaries with pagination meta; when false, returns full PlotDTOv2 list

Default:false
Headers
Authorizationstring

Authorization header with a Bearer token, formatted as 'Bearer [JWT]' where [JWT] is the JSON Web Token used for user authentication and authorization.

Example:Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.your-payload-here.signature
GET
/plots
curl -i -X GET \
  'https://api.open-atlas.com/_mock/openapi/plots?limit=100&cursor=string&created_at_from=string&created_at_until=string&lite=false' \
  -H 'Authorization: Bearer <YOUR_JWT or vantage_live_ API key_HERE>'

Responses

List of Plot details retrieved successfully

Bodyapplication/json
plotsArray of objects(Plot)

List of plots

metaobject

Pagination metadata containing has_more, next_cursor, limit, and count

Example:
{ "next_cursor": "eyJsZWsiOiJZM0psWVhSbFpFRjBIbE02TWpBeU5TMHdOeTB6TVZReE56b3lNem8xTVI5d2JHOTBTV1FlVXpwak9EWTVaRFJsWlMwM09EZ3lMVFJoTjJFdFlqSmhaQzB4TWpkak1XRXlNemM0TjJNZmRYTmxjbTVoYldVZVV6cHZjR1Z1WVhSc1lYTmZiV0ZwYmciLCJ1Ijoib3BlbmF0bGFzX21haW4iLCJ2IjoxLCJleHAiOjE3NTYzMDc3OTY1MDgsImlhdCI6MTc1NjMwNTk5NjUwOH0.J1gFjyqEdHEmSYgaUVLH-YYePiBxNTc82LOXTowRjbA", "limit": 100, "count": 100, "has_more": true }
Response
{ "plots": [ {} ], "meta": { "next_cursor": "eyJsZWsiOiJZM0psWVhSbFpFRjBIbE02TWpBeU5TMHdOeTB6TVZReE56b3lNem8xTVI5d2JHOTBTV1FlVXpwak9EWTVaRFJsWlMwM09EZ3lMVFJoTjJFdFlqSmhaQzB4TWpkak1XRXlNemM0TjJNZmRYTmxjbTVoYldVZVV6cHZjR1Z1WVhSc1lYTmZiV0ZwYmciLCJ1Ijoib3BlbmF0bGFzX21haW4iLCJ2IjoxLCJleHAiOjE3NTYzMDc3OTY1MDgsImlhdCI6MTc1NjMwNTk5NjUwOH0.J1gFjyqEdHEmSYgaUVLH-YYePiBxNTc82LOXTowRjbA", "limit": 100, "count": 100, "has_more": true } }